Summary:	Additional addons for Asterisk
Name:		asterisk-addons
Version:	1.4.10
Release:	%mkrel 2
License:	GPL
Group:		System/Servers
URL:		http://www.asterisk.org/
Source:		http://downloads.digium.com/pub/asterisk/%{name}-%{version}.tar.gz
Patch0:		asterisk-addons-1.4.0-mdk.diff
BuildRequires:	asterisk-devel >= 1.4.0
BuildRequires:	automake1.7
BuildRequires:	mysql-devel
BuildRequires:	ncurses-devel
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Asterisk is a complete PBX in software. It runs on Linux and provides all of
the features you would expect from a PBX and more. Asterisk does voice over IP
in three protocols, and can interoperate with almost all standards-based
telephony equipment using relatively inexpensive hardware. This package
contains additional addons for asterisk.

%prep

%setup -q
%patch0 -p1

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
		
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
find . -type f | xargs perl -pi -e "s|/usr/lib|%{_libdir}|g"

%build
%configure \
	--with-asterisk=%{_prefix} \
	--with-mysqlclient=%{_prefix} \
	--with-ncurses=%{_prefix}
%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/asterisk/modules

%makeinstall_std

# Install configuration files
install -d %{buildroot}%{_sysconfdir}/asterisk
install -m0644 configs/cdr_mysql.conf.sample %{buildroot}%{_sysconfdir}/asterisk/cdr_mysql.conf
install -m0644 configs/res_mysql.conf.sample %{buildroot}%{_sysconfdir}/asterisk/res_mysql.conf

# fix docs
cp formats/mp3/MPGLIB_README MPGLIB_README.format_mp3
cp formats/mp3/MPGLIB_TODO MPGLIB_TODO.format_mp3
cp formats/mp3/README README.format_mp3

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/cdr_mysql.txt configs/ooh323.conf.sample *README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/cdr_mysql.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/res_mysql.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_addon_sql_mysql.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_saycountpl.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/cdr_addon_mysql.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_ooh323.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_mp3.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_config_mysql.so




%changelog
* Fri Feb 19 2010 Lonyai Gergely <aleph@mandriva.org> 1.4.10-2mdv2009.0
+ Revision: 508098
- rebuild
- 1.4.10
- rebuild
- rebuild
- rebuild
- update to 1.4.9
- rebuild
- update to 1.4.8

* Thu Jun 19 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.7-1mdv2009.0
+ Revision: 226556
- 1.4.7

* Mon May 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.6-2mdv2009.0
+ Revision: 201414
- cleanup a bit

* Wed Feb 27 2008 Stefan van der Eijk <stefan@mandriva.org> 1.4.6-1mdv2008.1
+ Revision: 175896
- more fixes to .spec file
- comment out unused patches
- 1.4.6

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 15 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.5-1mdv2008.1
+ Revision: 120355
- adjust patch
- 1.4.5
- 1.4.5

* Thu Oct 18 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.4-1mdv2008.1
+ Revision: 99930
- 1.4.4

* Wed Oct 03 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.3-1mdv2008.1
+ Revision: 94881
- 1.4.3

* Tue Jun 19 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.2-1mdv2008.0
+ Revision: 41631
- 1.4.2

* Thu May 03 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.1-1mdv2008.0
+ Revision: 21480
- 1.4.1
- updated source URL


* Sun Dec 24 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-1mdv2007.0
+ Revision: 101977
- 1.4.0

* Sat Dec 09 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-0.1.beta2mdv2007.1
+ Revision: 94067
- 1.4.0-beta2
- Import asterisk-addons

* Tue Sep 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Wed Aug 30 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.4-1mdk
- 1.2.4
- disabling bristuff patch (no longer used)

* Sun Jun 04 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.3-1mdk
- 1.2.3

* Sat Mar 11 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-1mdk
- 1.2.2

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-2mdk
- added one hunk from the bristuff-0.3.0-PRE-1l patch

* Mon Dec 12 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-1mdk
- 1.2.1

* Sun Nov 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-1mdk
- 1.2.0

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-0.20051030.1mdk
- new snap (20051030)
- rediff P0
- added P1

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050427.1mdk
- initial package

